Update an Organization
Update an Organization's details.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
organizationId
The Organization's ID.
Request
This endpoint expects an object.
billingEmail
The Organization's billing email.
isScimEnabled
Whether SCIM is enabled for the Organization.
name
The name of the Organization.
allowEnhancedSupportAccess
hasAiFeaturesDisabled
shouldEnforceDedicatedClusters
Response
OK
allowEnhancedSupportAccess
Whether the organization allows CRE to have view access to their entities
createdAt
The time when the Organization was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.
createdBy
hasAllowedIpAddressRanges
Whether the Organization has at least one IP address range configured.
id
The Organization's ID.
isBlockedEnableAiFeatures
isScimEnabled
Whether SCIM is enabled for the Organization.
name
The Organization's name.
productPlans
shouldEnforceDedicatedClusters
updatedAt
The time when the Organization was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.
updatedBy
billingEmail
The Organization's billing email.
hasAiFeaturesDisabled
managedDomains
The list of managed domains configured in the Organization.
paymentMethod
The Organization's payment method.
product
The Organization's product type.
status
The Organization's status.
trialExpiresAt
The time when the Organization’s trial expires in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ. Organizations that are no longer in Trial will not have a expiry date.
Errors
400
Update Organization Body Bad Request Error
401
Update Organization Body Unauthorized Error
403
Update Organization Body Forbidden Error
404
Update Organization Body Not Found Error
500
Update Organization Body Internal Server Error